{ config, pkgs, lib, ... }:

{
  imports =
    [
      ../../base.nix
      ../../common/metrics-exporters.nix
      ./hardware-configuration.nix

      # Infrastructure
      ./services/wireguard.nix

  ];

  boot.loader.systemd-boot.enable = lib.mkForce false;
  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";

  networking = {
    hostName = "burnham";
    defaultGateway = "192.168.11.1";
    interfaces.ens18.ipv4 = {
      addresses = [
        { address = "192.168.11.109"; prefixLength = 24; }
      ];
    };
    hostId = "8e24f235";
  };

  # sops.defaultSopsFile = ../../secrets/burnham/burnham.yaml;

  environment.variables = { EDITOR = "vim"; };

  system.stateVersion = "23.11";
}

