{ config, pkgs, lib, ... }:
let
  domain = "matrix-admin.home.feal.no";
  backend = "http://127.0.0.1:8008";
  synapse-admin = pkgs.callPackage ./adminPkg.nix { };
in {
  services.nginx.virtualHosts."${domain}" = {
    locations."/".root = "${synapse-admin}";
    locations."/_synapse".proxyPass = "${backend}";
    locations."/_matrix".proxyPass = "${backend}";
  };
}

