{ config, pkgs, lib, ... }:
{
  services.postgresql = {
    enable = true;
    /* enableTCPIP = true; # Expose on the network */
    authentication = pkgs.lib.mkOverride 10 ''
     local all all trust
     host all all 127.0.0.1/32 trust
     host all all ::1/128 trust
    '';
  };

  services.postgresqlBackup = {
    enable = true;
    location = "/var/backup/postgres";
    startAt = "*-*-* 03:15:00";
    backupAll = true;
  };

  environment.systemPackages = [ config.services.postgresql.package ];
}


